<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>

<f:view locale="#{LocaleControllerBean.currentLocale}">
<f:loadBundle basename="sf.resource.msg" var="res" />

<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
 "http://www.w3.org./TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>

  <head>

    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
    <meta name="generator" content=""/>
    <link rel="shortcut icon" type="image/ico" href="http://www.fh-wedel.de/favicon.ico"/>
    <meta name="keywords" content=""/>
    <meta name="description" content=""/>

   <link rel="stylesheet" type="text/css" href="/css/fhw.css"/>
    <title><h:outputText value="#{res.title}"/><h:outputText value="#{res.title_member}"/></title>
  </head>

  <body class="text">
	  <h:form>
	  <h:commandLink action="ta_overview" value="#{res.back}"/><br>
	  <h:outputText value="#{res.title_member}"/>
	  <h:dataTable var="row" value="#{MemberControllerBean.memberRows}" rows="#{MemberControllerBean.PER_PAGE}" first="#{MemberControllerBean.pos}">
			<h:column>
	      <f:facet name="header">
	        <h:outputText value=" "/>
	      </f:facet>
	      <h:selectBooleanCheckbox value="#{row.selected}"/>
	    </h:column>
	    <h:column>
		  	<f:facet name="header">
		  		<h:outputText value="#{res.name}"/>
		  	</f:facet>
	  		<h:outputText value="#{row.member.name}"/>
	  	</h:column>
	  	<h:column>
		  	<f:facet name="header">
		  		<h:outputText value="#{res.firstName}"/>
		  	</f:facet>
	  		<h:outputText value="#{row.member.firstName}"/>
	  	</h:column>
	  	<h:column>
		  	<f:facet name="header">
		  		<h:outputText value="#{res.email}"/>
		  	</f:facet>
	  		<h:outputText value="#{row.member.email}"/>
	  	</h:column>

	  	<f:facet name="footer"><h:panelGroup>
	  	  <h:commandButton value="<<" actionListener="#{MemberControllerBean.backward}"  rendered="#{MemberControllerBean.notFirstPage}"/>
	  	  <h:commandButton value=">>" actionListener="#{MemberControllerBean.forward}" rendered="#{MemberControllerBean.notLastPage}"/><br>
				<h:commandButton value="#{res.new}" action="#{MemberControllerBean.addMember}"/>
				<h:commandButton value="#{res.edit}" action="#{MemberControllerBean.editMember}"/>
				<h:commandButton value="#{res.del}" action="#{MemberControllerBean.deleteMembers}" onclick="if (!confirm('#{res.deleteQuestion}')) return false;"/>
	  	</h:panelGroup></f:facet>
	  </h:dataTable>
	  	
	  <h:commandLink action="ta_overview" value="#{res.back}"/>
		</h:form>
  </body>
</html>
</f:view>


