<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>

<f:view locale="#{LocaleControllerBean.currentLocale}">
<f:loadBundle basename="sf.resource.msg" var="res" />

<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
 "http://www.w3.org./TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>

  <head>

    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
    <meta name="generator" content=""/>
    <link rel="shortcut icon" type="image/ico" href="http://www.fh-wedel.de/favicon.ico"/>
    <meta name="keywords" content=""/>
    <meta name="description" content=""/>

   <link rel="stylesheet" type="text/css" href="/css/fhw.css"/>
    <title><h:outputText value="#{res.title}"/><h:outputText value="#{res.title_member_edit}"/></title>
  </head>

  <body class="text">
	  <h:form id="f">
	  <h:panelGrid columns="3">
			<h:outputLabel for="name" value="#{res.name}"/>
			<h:inputText id="name" value="#{MemberControllerBean.currentMember.name}" required="true" maxlength="25"/>
			<h:message for="name"/>
			
			<h:outputLabel for="firstName" value="#{res.firstName}"/>
			<h:inputText id="firstName" value="#{MemberControllerBean.currentMember.firstName}"  required="true" maxlength="25"/>
			<h:message for="firstName"/>
			
			<h:outputLabel for="email" value="#{res.email}"/>
			<h:inputText id="email" value="#{MemberControllerBean.currentMember.email}" required="true" maxlength="50">
				<f:validator validatorId="MailValidator"/>
			</h:inputText>
			<h:message for="email"/>

			<h:commandButton action="#{MemberControllerBean.update}" value="#{res.submit}"/>
		  <h:commandButton action="ta_member" value="#{res.cancel}" immediate="true"/>
		</h:panelGrid>
		</h:form>
  </body>
</html>
</f:view>


