<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>

<%@ taglib uri="/WEB-INF/custom-jsf.tld" prefix="cc" %>

<f:view locale="#{LocaleControllerBean.currentLocale}">
<f:loadBundle basename="sf.resource.msg" var="res" />

<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
 "http://www.w3.org./TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>

  <head>

    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
    <meta name="generator" content=""/>
    <link rel="shortcut icon" type="image/ico" href="http://www.fh-wedel.de/favicon.ico"/>
    <meta name="keywords" content=""/>
    <meta name="description" content=""/>

   <link rel="stylesheet" type="text/css" href="/css/fhw.css"/>
    <title><h:outputText value="#{res.title}"/><h:outputText value="#{res.title_overview}"/></title>
  </head>

  <body class="text">
  
	  <h:form>
  	<h:commandLink styleClass="headline" action="ta_overview" value="#{res.overview}"/>
      <ul style="margin: 0px; padding: 0px; padding-left: 15px;">
        <li style="list-style-image: url(./icons/link-table.gif)">
			  	<h:commandLink styleClass="headline" action="ta_subject" value="#{res.overview_subjects}"/>
        </li>
        <li style="list-style-image: url(./icons/link-table.gif)">
			  	<h:commandLink styleClass="headline" action="ta_member" value="#{res.overview_members}"/>
        </li>
        <li style="list-style-image: url(./icons/link-table.gif)">
			  	<h:commandLink styleClass="headline" action="ta_tutorial" value="#{res.overview_tutorials}"/>
        </li>
        <li style="list-style-image: url(./icons/link-table.gif)">
			  	<h:commandLink styleClass="headline" action="ta_output" value="#{res.overview_output}"/>
        </li>
      </ul>
		</h:form>
		
		<br><br>
		<h:outputText value="#{res.langmenu}"/>
		<h:form id="chooseLocaleForm">
			<h:selectOneMenu id="chooseLocaleMenu" value="#{LocaleControllerBean.currentLocale}" onchange="document.getElementById('chooseLocaleForm:submit').click()">
				<f:selectItems value="#{LocaleControllerBean.supportedLocaleList}"/>
			</h:selectOneMenu><br>
			<h:commandButton id="submit" value="#{res.submit}" type="submit" action="ta_overview" style="display:none"/>
		</h:form>
		
		<br><br>
		<h:panelGrid columns="1">
			<h:outputText value="#{TimeElapsedBean.startTime}">
				<f:convertDateTime pattern="#{res.timePattern}"/>
			</h:outputText>
			<h:panelGroup>
				<h:outputText value="#{TimeElapsedBean.currentTime}">
					<f:convertDateTime pattern="#{res.timePattern}"/>
				</h:outputText>
				
				<cc:usageBar inuse="#{TimeElapsedBean.percentage}"></cc:usageBar>
				
			</h:panelGroup>
			<h:outputText value="#{TimeElapsedBean.endTime}">
				<f:convertDateTime pattern="#{res.timePattern}"/>
			</h:outputText>
		</h:panelGrid>
		<br>
  </body>
</html>
</f:view>


