<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>

<f:view locale="#{LocaleControllerBean.currentLocale}">
<f:loadBundle basename="sf.resource.msg" var="res" />

<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
 "http://www.w3.org./TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>

  <head>

    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
    <meta name="generator" content=""/>
    <link rel="shortcut icon" type="image/ico" href="http://www.fh-wedel.de/favicon.ico"/>
    <meta name="keywords" content=""/>
    <meta name="description" content=""/>

   <link rel="stylesheet" type="text/css" href="/css/fhw.css"/>
    <title><h:outputText value="#{res.title}"/><h:outputText value="#{res.title_tutorial_edit}"/></title>
  </head>

  <body class="text">
	  <h:form id="f">
	  <h:panelGrid columns="2">

			<h:outputLabel for="subject" value="#{res.topic}"/>
			<h:outputLabel for="member" value="#{res.member}"/>
			
			<h:selectOneListbox id="subject" value="#{TutorialControllerBean.currentTutorial.subject.text}"  
			required="true" valueChangeListener="#{TutorialControllerBean.handleValueChange}"
			validator="#{TutorialControllerBean.validateSubjectSelection}">
				<f:selectItems value="#{TutorialControllerBean.subjectList}"/>
			</h:selectOneListbox>
			<h:selectOneListbox id="member" value="#{TutorialControllerBean.currentTutorial.member.name}" 
			required="true" valueChangeListener="#{TutorialControllerBean.handleValueChange}"
			validator="#{TutorialControllerBean.validateMemberSelection}">
				<f:selectItems value="#{TutorialControllerBean.memberList}"/>
			</h:selectOneListbox>

			<h:message for="subject"/>
			<h:message for="member"/>

			<h:panelGroup>
				<h:outputLabel for="date" value="#{res.date}"/>
				<h:inputText id="date" value="#{TutorialControllerBean.currentTutorial.date}" required="true">
					<f:convertDateTime pattern="#{res.dateTimePattern}"/>
					<f:validator validatorId="DateNotInPastValidator"/>
				</h:inputText>				
			</h:panelGroup>
			<h:message for="date"/>
			
			<h:commandButton action="#{TutorialControllerBean.update}" value="#{res.submit}"/>
		  <h:commandButton action="ta_tutorial" value="#{res.cancel}" immediate="true"/>
		</h:panelGrid>
		</h:form>
		<a href="file://D:\Programme\Programmierung\Plattformen\Java\glassfish\domains\domain1\applications\j2ee-modules\jsf-seminar-2006\tutadmin\tutorial_edit.jsp">Quelltext</a>
  </body>
</html>
</f:view>


