<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>

<f:view locale="#{LocaleControllerBean.currentLocale}">
<f:loadBundle basename="sf.resource.msg" var="res" />

<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
 "http://www.w3.org./TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>

  <head>

    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
    <meta name="generator" content=""/>
    <link rel="shortcut icon" type="image/ico" href="http://www.fh-wedel.de/favicon.ico"/>
    <meta name="keywords" content=""/>
    <meta name="description" content=""/>

   <link rel="stylesheet" type="text/css" href="/css/fhw.css"/>
    <title><h:outputText value="#{res.title}"/><h:outputText value="#{res.title_output}"/></title>
  </head>

  <body class="text">
	  <h:form>
		  <h:commandLink action="ta_overview" value="#{res.back}"/><br>
	  	<h:dataTable value="#{TutorialControllerBean.tutorialRows}" var="row">
		    <h:column>
			  	<f:facet name="header">
			  		<h:outputText value="#{res.date}"/>
			  	</f:facet>
		  		<h:outputText value="#{row.tutorial.date}">
		  			<f:convertDateTime pattern="#{res.dateTimePattern}"/>
		  		</h:outputText>
		  	</h:column>
		  	<h:column>
			  	<f:facet name="header">
			  		<h:outputText value="#{res.topic}"/>
			  	</f:facet>
		  		<h:outputText value="#{row.tutorial.subject.text}"/>
		  	</h:column>
		  	<h:column>
			  	<f:facet name="header">
			  		<h:outputText value="#{res.member}"/>
			  	</f:facet>
			  	<h:outputLink value="mailto:#{row.tutorial.member.email}">
	  				<h:outputText value="#{row.tutorial.member.name}"/>, <h:outputText value="#{row.tutorial.member.firstName}"/>
	  			</h:outputLink>
		  		
		  	</h:column>
	  	</h:dataTable>
	  <h:commandLink action="ta_overview" value="#{res.back}"/><br>
		</h:form>
  </body>
</html>
</f:view>


